## base-files 1.1.0+5l20.10.04.2

=== debian/changelog ===
base-files (1:1.1.0+5l20.10.04.2) robby-1.1; urgency=low

  * Updated DISTRIB_CODENAME to robby-1.1

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 20 Dec 2010 14:41:30 -0700

base-files (6jolicloud6) robby; urgency=low

  * Updated upstream-release to Ubuntu 10.04 (lucid)
  * Added /etc/upstream-release back into base-files DEB package

 -- Adam McDaniel <adam@jolicloud.org>  Sat, 18 Sep 2010 13:23:29 -0600

base-files (6jolicloud5) robby; urgency=low

  * Imported Debian version 5.0.0ubuntu20.10.04.2

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 01 Sep 2010 11:13:04 +0200

base-files (5.0.0ubuntu20.10.04.2) lucid-security; urgency=low

  * SECURITY UPDATE: unauthenticated software installations.
    - debian/postinst.in: A bug in the build process for the Dell Latitude
      2110 factory pre-installed OEM images caused a temporary apt
      configuration file to be left in the installed system. This disabled
      apt's enforcement of authenticated packages. Remove the file on
      upgrades if it matches the factory version. (LP: #610647)
    - CVE-2010-0834

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Jul 2010 17:54:43 +0200

base-files (5.0.0ubuntu20.10.04.1) lucid-proposed; urgency=low

  * /etc/lsb-release, /etc/issue, /etc/issue.net: Bump version number to
    10.04.1 in preparation for the point release.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Jul 2010 15:56:27 +0100

base-files (5.0.0ubuntu20) lucid; urgency=low

  * 00-header: use lsb_release -s -d so LTS is displayed LP: #568628

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Apr 2010 12:12:29 -0700

base-files (5.0.0ubuntu19) lucid; urgency=low

  * Prepare for Lucid release: etc/{lsb-release,issue,issue.net}.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Apr 2010 03:50:12 -0700

base-files (5.0.0ubuntu18) lucid; urgency=low

  * debian/postinst.in: clear release-upgrade flag, and update again
    immediately on base-files upgrades, LP: #563015

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 14 Apr 2010 09:25:15 -0500

base-files (5.0.0ubuntu17) lucid; urgency=low

  * debian/rules, debian/postinst.in: second half of the fix for the
    previous upload; drop symlink creation in debian/rules, LP: #561778

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 12 Apr 2010 18:23:39 -0500

base-files (5.0.0ubuntu16) lucid; urgency=low

  * debian/postinst.in: only create /etc/motd link on initial install;
    thereafter, it's entirely up to the admin whether to keep this
    link or modify it to their wishes, LP: #561778

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 12 Apr 2010 15:23:12 -0500

base-files (5.0.0ubuntu15) lucid; urgency=low

  * debian/links, debian/postinst.in, debian/rules:
    remove artifacts of old base motd creation, keep duplicated data
    from popping up in motd, LP: #516293

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 09 Apr 2010 14:23:01 -0500

base-files (5.0.0ubuntu14) lucid; urgency=low

  Fix double-printing of motd.tail, LP: #550561
  * debian/postinst.in: motd.tail should no longer be generated by this
    package; rather it's where the sysadmin would add static text to
    append to the dynamically generated /etc/motd
  * debian/update-motd.d/*, debian/rules:
    - move update-motd scripts to this dir, clean up install rules
      (scripts were getting installed in two places)
    - 00-header: add the lsb_release information, which seems at least
      as pertinent as the kernel's version and build-date
    - 00-header, 99-footer: split the header (uname, lsb_release) and
      the footer (admin's motd.tail) to two separate scripts

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 31 Mar 2010 14:56:49 -0500

base-files (5.0.0ubuntu13) lucid; urgency=low

  * debian/10-help-text: fix url, no https for server doc

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 25 Mar 2010 11:08:56 -0700

base-files (5.0.0ubuntu12) lucid; urgency=low

  * debian/10-help-text: line up the help text, make it more concise and
    consistent with the other help-text update-motd insertions from other
    packages

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 25 Mar 2010 11:06:52 -0700

base-files (5.0.0ubuntu11) lucid; urgency=low

  * share/dot.bashrc: Sync with bash's skeleton bashrc, just don't
    enable command completion by default.
    - Uncomment useful aliases for ll, la, and l, to better match sysadmin's
      expectations coming from other enterprise distros (Dustin Kirkland).
      LP: #545262.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Mar 2010 14:19:44 +0100

base-files (5.0.0ubuntu10) lucid; urgency=low

  * etc/00-header: handle non-zero exit if /etc/motd.tail does not exist,
    LP: #492387

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 07 Dec 2009 17:05:18 -0600

base-files (5.0.0ubuntu9) lucid; urgency=low

  * etc/motd, etc/10-help-text, debian/rules: move the help text
    out of the stock, static /etc/motd.tail, putting it into a
    dynamic update-motd script, such that appropriate links can
    be dynamically displayed, LP: #490392
  * share/motd.md5sums: add karmic's motd.tail md5sum

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 01 Dec 2009 16:07:54 -0600

base-files (5.0.0ubuntu8) lucid; urgency=low

  * /etc/issue, /etc/issue.net, /etc/lsb-release: Welcome to Lucid!

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Oct 2009 11:39:07 +0000

base-files (5.0.0ubuntu7) karmic; urgency=low

  * Prepare for Karmic release: etc/{lsb-release,issue,issue.net}.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Oct 2009 16:44:48 -0700

base-files (5.0.0ubuntu6) karmic; urgency=low

  * etc/00-header, debian/directory-list, debian/rules: pam_motd will
    now dynamically build a MOTD by running all scripts in
    /etc/update-motd.d and concatenating the output; seed that MOTD
    with the standard header, LP: #399071

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 13 Jul 2009 21:30:55 -0500

base-files (5.0.0ubuntu5) karmic; urgency=low



## base-files 1.2.0

=== Makefile ===
all:

install:
	(cd prototype; tar cf - .)|(umask 0; cd debian/tmp; tar xf -)
	(umask 0;mv debian/tmp/root/dot.bash_profile debian/tmp/root/.bash_profile)
	(umask 0;mv debian/tmp/root/dot.bashrc debian/tmp/root/.bashrc)

clean:

## base-files 1.1.1+5l20.10.04.2

=== debian/changelog ===
base-files (1:1.1.1+5l20.10.04.2) robby-1.1.1; urgency=low

  * Updated DISTRIB_CODENAME to robby-1.1.1

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 20 Dec 2010 14:47:47 -0700

=== debian/control ===
Source: base-files
Section: admin
Priority: required
Maintainer: Jolicloud developers <developers@jolicloud.org>
XSBC-Original-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>, Santiago Vila <sanvila@debian.org>
Standards-Version: 3.8.0

Package: base-files
Provides: base
Architecture: any
Pre-Depends: awk
Depends: base-passwd (>= 2.0.3.4), libpam-modules (>= 0.79-3ubuntu3)
Essential: yes
Priority: required
Replaces: base, miscutils, dpkg (<= 1.15.0), lsb-release (<< 3.0-8)
Description: Debian base system miscellaneous files
 This package contains the basic filesystem hierarchy of a Debian system, and
 several important miscellaneous files, such as /etc/debian_version,
 /etc/host.conf, /etc/issue, /etc/motd, /etc/profile, /etc/nsswitch.conf,
 and others, and the text of several common licenses in use on Debian systems.

Package: lsb-release-udeb
Section: debian-installer
Architecture: all
Priority: extra
Description: LSB release information

## base-files 1.2.0

=== debian/control ===
Source: base-files
Section: base
Priority: required
Maintainer: Bruce Perens <bruce@beagle.pixar.com>
Standards-Version: 2.1.1.0

Package: base-files
Architecture: all
Depends: 
Description: Debian Base System Miscellaneous Files
Essential: yes
Priority: required
Replaces: base, miscutils

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=base-files

build:
	$(checkdir)
	make

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr
	make install DESTDIR=debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd $(package)
	dpkg-gencontrol
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## base-files 1.2.4+5l20.10.04.2

=== debian/changelog ===
base-files (1:1.2.4+5l20.10.04.2) robby-1.2; urgency=low

  * Use a 'non-blocking space' in DISTRIB_ID. Quotes are not sufficient
    for a multi-word value to satisify poorly written shell scripts
    expecting only a single word. Fortunately bash honours words around
    the NBS separator as a single-word value. In Vim, use Ctrl+K N S to
    create it.

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 28 Feb 2011 09:27:38 -0700

base-files (1:1.2.3+5l20.10.04.2) robby-1.2; urgency=low

  * Set /etc/lsb-release DISTRIB_ID="Joli OS", with quotes

 -- Adam McDaniel <adam@jolicloud.org>  Thu, 24 Feb 2011 09:11:22 -0700

base-files (1:1.2.2+5l20.10.04.2) robby-1.2; urgency=low

  * Rename "Jolicloud OS" to "Joli OS"

 -- Adam McDaniel <adam@jolicloud.org>  Tue, 22 Feb 2011 09:06:22 -0700

base-files (1:1.2.1+5l20.10.04.2) robby-1.2; urgency=low

  * Rename "Jolicloud" to "Jolicloud OS"

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 21 Feb 2011 09:04:25 -0700

base-files (1:1.2.0+5l20.10.04.2) robby-1.2; urgency=low

  * Updated distrib version to 1.2

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 24 Jan 2011 10:29:28 -0700

## base-files 1.3.5

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Standards-Version: 2.1.1.0
 
 Package: base-files
+Provides: base
+Requires: base-passwd, makedev
 Architecture: all
 Depends: 
 Description: Debian Base System Miscellaneous Files

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	make install DESTDIR=debian/tmp
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
-	debstd $(package)
+	debstd
 	dpkg-gencontrol
 	dpkg --build debian/tmp ..

## base-files 2.0

=== debian/control ===
Source: base-files
Section: base
Priority: required
Maintainer: Santiago Vila <sanvila@ctv.es>
Standards-Version: 2.4.0.0

Package: base-files
Provides: base
Architecture: all
Depends: awk
Essential: yes
Priority: required
Replaces: base, miscutils
Description: Debian Base System Miscellaneous Files
 This package contains the Debian Base System Miscellaneous Files, such as
 /etc/debian_version, /etc/issue, /usr/doc/copyright/*, etc.

=== debian/rules ===
#!/usr/bin/make -f

package = base-files
docdir = debian/tmp/usr/doc/$(package)

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-arch: checkroot build
	$(checkdir)

binary-indep: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	cd debian/tmp && install -d usr/share/$(package)
	install -p -m 644 debian/copyright debian/changelog $(docdir)
	cd debian && install -m 755 preinst postinst tmp/DEBIAN
	cd debian && install -m 644 conffiles tmp/DEBIAN
	cd debian/tmp && install -d `cat ../directory-list`
	# cd debian/tmp && ln -s /var/spool usr/spool
	# cd debian/tmp && ln -s /var/tmp   usr/tmp
	# cd debian/tmp && ln -s /var/log   usr/adm
	# cd debian/tmp && ln -s log        var/adm
	cd debian/tmp && chown root.src     usr/src
	cd debian/tmp && chown root.mail    var/spool/mail
	cd debian/tmp && chown root.adm     var/log
	cd debian/tmp && chown root.staff   var/local
	# cd debian/tmp && chown root.staff   var/local/usr
	cd debian/tmp && chown root.floppy  floppy
	cd debian/tmp && chown root.disk    boot
	cd debian/tmp && chown root.staff   home
	cd debian/tmp && chown root.cdrom   cdrom
	cd debian/tmp && chmod 755  `find . -type d`
	cd debian/tmp && chmod 1777 `cat ../1777-dirs`
	cd debian/tmp && chmod 2775 `cat ../2775-dirs`
	install -p -m 644 root/dot.bash_profile root/dot.bashrc \
		debian/tmp/usr/share/base-files
	install -p -m 644 copyrights/* debian/tmp/usr/doc/copyright
	# install -p -m 755 bin/edit  debian/tmp/bin
	install -p -m 644 etc/* debian/tmp/etc
	install -p -m 644 debian/README $(docdir)
	gzip -9 $(docdir)/changelog
	dpkg-gencontrol
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## base-files 2.1.0

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: base
 Priority: required
 Maintainer: Santiago Vila <sanvila@ctv.es>
-Standards-Version: 2.4.0.0
+Standards-Version: 2.5.0
 
 Package: base-files
 Provides: base

=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,17 @@
 	cd debian/tmp && chmod 755  `find . -type d`
 	cd debian/tmp && chmod 1777 `cat ../1777-dirs`
 	cd debian/tmp && chmod 2775 `cat ../2775-dirs`
-	install -p -m 644 root/dot.bash_profile root/dot.bashrc \
+	install -p -m 644 root/dot.profile root/dot.bashrc \
 		debian/tmp/usr/share/base-files
-	install -p -m 644 copyrights/* debian/tmp/usr/doc/copyright
+	install -p -m 644 licenses/* debian/tmp/usr/share/common-licenses
+	ln -s ../../share/common-licenses/GPL \
+		debian/tmp/usr/doc/copyright/GPL
+	ln -s ../../share/common-licenses/LGPL \
+		debian/tmp/usr/doc/copyright/LGPL
+	ln -s ../../share/common-licenses/BSD \
+		debian/tmp/usr/doc/copyright/BSD
+	ln -s ../../share/common-licenses/Artistic \
+		debian/tmp/usr/doc/copyright/Artistic 
 	# install -p -m 755 bin/edit  debian/tmp/bin
 	install -p -m 644 etc/* debian/tmp/etc
 	install -p -m 644 debian/README $(docdir)

## base-files 2.2.0

=== debian/control ===
Source: base-files
Section: base
Priority: required
Maintainer: Santiago Vila <sanvila@ctv.es>
Standards-Version: 3.1.1

Package: base-files
Provides: base
Architecture: any
Depends: awk, base-passwd (>= 2.0.3.4)
Essential: yes
Priority: required
Replaces: base, miscutils, libreadline, libreadlineg2 (<< 2.1-16), bash (<< 2.03-3)
Description: Debian base system miscellaneous files
 This package contains the basic filesystem hierarchy of a Debian system, and
 several important miscellaneous files, such as /etc/debian_version,
 /etc/host.conf, /etc/issue, /etc/motd, /etc/profile, /etc/nsswitch.conf,
 and others, and the text of several common licenses in use on Debian systems.

=== debian/rules ===
#!/usr/bin/make -f

package = base-files
docdir = debian/tmp/usr/share/doc/$(package)

OSNAME = "GNU/`uname`"
ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
  OSNAME=GNU/Linux
endif
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
  OSNAME=GNU/Hurd
endif

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	cd debian/tmp && install -d usr/share/$(package)
	install -p -m 644 debian/copyright debian/changelog \
		debian/README.FHS debian/README.base $(docdir)
	install -m 755 debian/remove-base $(docdir)
	cd debian && install -m 755 preinst postinst prerm tmp/DEBIAN
	cd debian && install -m 644 conffiles tmp/DEBIAN
	cd debian/tmp && install -d `cat ../directory-list`
	cd debian/tmp && chown root.src     usr/src
	# cd debian/tmp && chown root.mail    var/spool/mail
	cd debian/tmp && chown root.staff   var/local
	cd debian/tmp && chown root.disk    boot
	cd debian/tmp && chown root.staff   home
	cd debian/tmp && chmod 755  `find . -type d`
	cd debian/tmp && chmod 1777 `cat ../1777-dirs`
	cd debian/tmp && chmod 2775 `cat ../2775-dirs`
	install -p -m 644 share/* debian/tmp/usr/share/base-files
	install -p -m 644 licenses/* debian/tmp/usr/share/common-licenses
	ln -s LGPL-2.1 debian/tmp/usr/share/common-licenses/LGPL
	ln -s ../../share/common-licenses/GPL \
		debian/tmp/usr/doc/copyright/GPL
	ln -s ../../share/common-licenses/LGPL-2 \
		debian/tmp/usr/doc/copyright/LGPL
	ln -s ../../share/common-licenses/BSD \
		debian/tmp/usr/doc/copyright/BSD
	ln -s ../../share/common-licenses/Artistic \
		debian/tmp/usr/doc/copyright/Artistic 
	install -p -m 644 etc/* debian/tmp/etc
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
	rmdir debian/tmp/proc
endif
	cat etc/motd | sed -e "s&#OSNAME#&$(OSNAME)&g" > debian/tmp/etc/motd
	cat share/info.dir | sed -e "s&#OSNAME#&$(OSNAME)&g" > debian/tmp/usr/share/base-files/info.dir
	gzip -9 $(docdir)/changelog
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary-indep: checkroot build
	$(checkdir)

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## base-files 3.0

=== debian/changelog ===
base-files (1:3.0) kaisen-packages; urgency=medium

  * Update for Rolling 3.0

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 03 Aug 2025 15:29:45 +0100

base-files (1:2.3) kaisen-packages; urgency=medium

  * Update for Rolling 2.3

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 18 May 2023 16:49:47 +0100

base-files (1:2.2.1) kaisen-packages; urgency=medium

  * Change the /etc/debian_version file in /etc/kaisen_version file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 11 Jan 2023 20:32:07 +0100

base-files (1:2.2) kaisen-packages; urgency=medium

  * Update for Rolling 2.2

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Dec 2022 19:15:29 +0100

base-files (1:2.1) kaisen-packages; urgency=medium

  * Update for Rolling 2.1

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 11 Jun 2022 19:06:20 +0100

base-files (1:2.0) kaisen-packages; urgency=medium

  * Update for Rolling 2.0

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 06 Dec 2021 22:59:21 +0200

base-files (1:1.8) kaisen-packages; urgency=medium

  * Update for Rolling 1.8

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 02 Aug 2021 00:30:41 +0200

base-files (1:1.7) kaisen-packages; urgency=medium

  * Update at Rolling 1.7

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 18 Jul 2021 15:53:09 +0200

base-files (1:1.6) kaisen-packages; urgency=medium

  * Update at Rolling 1.6
  * Update control file
  * Update URL vendor and bugs

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 31 Mar 2021 08:52:49 +0200

base-files (1:1.5) kaisen-packages; urgency=medium

  * Update at Rolling 1.5
  * Update compat to 13

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sat, 12 Dec 2020 22:17:53 +0200

base-files (1:1.4) kaisen-packages; urgency=medium

  * Update at Rolling 1.4
  * Update compat to 12

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sun, 30 Aug 2020 06:01:35 +0200

base-files (1:1.3) kaisen-devel; urgency=medium

  * Update at Rolling 1.3
  * Bump to 4.5.0 standards version
  * Update compat to 11

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Thu, 20 Aug 2020 03:57:09 +0200

base-files (1:1.2) kaisen-devel; urgency=medium

  * Update at Rolling 1.2

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Wed, 22 Jul 2020 19:06:07 +0200

base-files (1:1.1) kaisen-devel; urgency=medium

  * Update at Rolling 1.1

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Mon, 15 Jun 2020 02:10:43 +0200

base-files (1:1.0+kaisen1) kaisen-devel; urgency=medium

  * First base-files package for Kaisen Linux rolling release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Mon, 27 Apr 2020 03:35:38 +0200

base-files (10.3+deb10u3) buster; urgency=medium

  * Change /etc/debian_version to 10.3, for Debian 10.3 point release.

 -- Santiago Vila <sanvila@debian.org>  Sat, 01 Feb 2020 18:09:26 +0100

base-files (10.3+deb10u2) buster; urgency=medium

  * Change /etc/debian_version to 10.2, for Debian 10.2 point release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 10 Nov 2019 13:17:26 +0100

base-files (10.3+deb10u1) buster; urgency=medium

  * Change /etc/debian_version to 10.1, for Debian 10.1 point release.

 -- Santiago Vila <sanvila@debian.org>  Fri, 30 Aug 2019 14:31:26 +0200

base-files (10.3) unstable; urgency=medium

  * Add Breaks: debian-security-support (<< 2019.04.25). Closes: #928172.
    This is the first version of debian-security-support which does not break
    when /etc/debian_version contains a string in the form "10.x".

 -- Santiago Vila <sanvila@debian.org>  Mon, 13 May 2019 22:25:32 +0200

base-files (10.2) unstable; urgency=medium

  * Release candidate for buster as stable:
  - Use "10" as version in /etc/issue and /etc/issue.net.
    (never expected to change after buster is released)
  - Use 10.0 as version in /etc/debian_version.
    (expected to change at every point release)
  - Change PRETTY_NAME in /usr/lib/os-release, adding 10 as version number
    and "(buster)" as codename. Add also VERSION_ID and VERSION.
    (never expected to change)
  - Add VERSION_CODENAME to os-release. Closes: #829245. This is optional
    according to the specs but some people find it useful. Please note that
    for now this is only expected to be present on stable releases.
  - Update README (buster -> bullseye).

 -- Santiago Vila <sanvila@debian.org>  Fri, 19 Apr 2019 13:05:00 +0200

base-files (10.1) unstable; urgency=medium

  * Add CC0-1.0 to common-licenses. Closes: #859649, #882628.
    Source: https://creativecommons.org/publicdomain/zero/1.0/legalcode.txt.
  * Simplify debian/rules a little bit by dropping install target
    and using override_dh_auto_install instead. Closes: #886901.
    Package should now build from source again in every supported way.
    Thanks to Daniel Schepler for the report and to Niels Thykier for
    clarifying the true nature of this bug.
  * Do not create /etc/staff-group-for-usr-local on new installs anymore.
    Do not create it on upgrades either, as we don't support upgrades
    skipping stable releases, and even less skipping several releases.
  * Standards-Version: 4.1.3.

 -- Santiago Vila <sanvila@debian.org>  Sun, 14 Jan 2018 00:36:34 +0100

base-files (10) unstable; urgency=medium

  * Change issue, issue.net, debian_version and os-release to read
    "buster/sid", and drop VERSION and VERSION_ID from os-release.
  * Fix typo in changelog for version 9.

 -- Santiago Vila <sanvila@debian.org>  Mon, 26 Jun 2017 00:19:42 +0200

base-files (9.9) unstable; urgency=medium

  * Add MPL-1.1 and MPL-2.0 to common-licenses. Closes: #849835.
    License texts taken from https://www.mozilla.org/en-US/MPL/.
  * Add a default /etc/update-motd.d/10-uname script to
    recover the traditional motd behaviour. Closes: #859124.

 -- Santiago Vila <sanvila@debian.org>  Tue, 04 Apr 2017 18:00:30 +0200

base-files (9.8) unstable; urgency=medium



=== debian/control ===
Source: base-files
Section: admin
Priority: required
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Standards-Version: 4.6.0
Build-Depends: debhelper (>= 13)
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/base-files
Vcs-Git: https://gitlab.com/kaisenlinux/packages/base-files.git

Package: base-files
Provides: base
Architecture: any
Pre-Depends: awk
Depends: ${misc:Depends}
Essential: yes
Priority: required
Replaces: base, miscutils, dpkg (<= 1.15.0)
Breaks: debian-security-support (<< 2019.04.25), initscripts (<< 2.88dsf-13.3), sendfile (<< 2.1b.20080616-5.2~)
Multi-Arch: foreign
Description: Kaisen base system miscellaneous files
 This package contains the basic filesystem hierarchy of a Debian system, and
 several important miscellaneous files, such as /etc/debian_version,
 /etc/host.conf, /etc/issue, /etc/motd, /etc/profile, and others,
 and the text of several common licenses in use on Debian systems.

## base-files 3.0.2

=== debian/control ===
Source: base-files
Section: base
Priority: required
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.5.6

Package: base-files
Provides: base
Architecture: any
Depends: awk, base-passwd (>= 2.0.3.4)
Essential: yes
Priority: required
Replaces: base, miscutils, libreadline, libreadlineg2 (<< 2.1-16), bash (<< 2.03-3)
Description: Debian base system miscellaneous files
 This package contains the basic filesystem hierarchy of a Debian system, and
 several important miscellaneous files, such as /etc/debian_version,
 /etc/host.conf, /etc/issue, /etc/motd, /etc/profile, /etc/nsswitch.conf,
 and others, and the text of several common licenses in use on Debian systems.

=== debian/rules ===
#!/usr/bin/make -f

package = base-files
docdir = debian/tmp/usr/share/doc/$(package)

OSNAME = "GNU/`uname`"
ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
  OSNAME=GNU/Linux
endif
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
  OSNAME=GNU/Hurd
endif

VERSION = $(shell cat etc/debian_version)

build:
	$(checkdir)
	cd debian && sed -e "s&#VERSION#&$(VERSION)&" preinst.in > preinst
	touch build

clean:
	$(checkdir)
	-rm -f build debian/preinst
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	cd debian/tmp && install -d usr/share/$(package)
	install -p -m 644 debian/changelog \
		debian/README.FHS debian/README.base $(docdir)
	cat debian/copyright.in | sed -e "s&#OSNAME#&$(OSNAME)&g" \
		> $(docdir)/copyright
	install -m 755 debian/remove-base $(docdir)
	cd debian && install -m 755 preinst postinst prerm tmp/DEBIAN
	cd debian && install -m 644 conffiles tmp/DEBIAN
	cd debian/tmp && install -d `cat ../directory-list`
	cd debian/tmp && chown root.src     usr/src
	# cd debian/tmp && chown root.mail    var/spool/mail
	cd debian/tmp && chown root.staff   var/local
	# cd debian/tmp && chown root.disk    boot
	cd debian/tmp && chown root.staff   home
	cd debian/tmp && chmod 755  `find . -type d`
	cd debian/tmp && chmod 1777 `cat ../1777-dirs`
	cd debian/tmp && chmod 2775 `cat ../2775-dirs`
	install -p -m 644 share/* debian/tmp/usr/share/base-files
	install -p -m 644 licenses/* debian/tmp/usr/share/common-licenses
	ln -s LGPL-2.1 debian/tmp/usr/share/common-licenses/LGPL
	ln -s GPL-2    debian/tmp/usr/share/common-licenses/GPL
	install -p -m 644 etc/* debian/tmp/etc
	rm -f debian/tmp/etc/motd
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
	rmdir debian/tmp/proc
endif
	cat etc/motd | sed -e "s&#OSNAME#&$(OSNAME)&g" > debian/tmp/usr/share/base-files/motd
	cat share/info.dir | sed -e "s&#OSNAME#&$(OSNAME)&g" > debian/tmp/usr/share/base-files/info.dir
	gzip -9 $(docdir)/changelog
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary-indep: checkroot build
	$(checkdir)

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## base-files 3.0.16ubuntu6

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: base
 Priority: required
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.5.6
+Standards-Version: 3.6.1
 
 Package: base-files
 Provides: base

=== debian/rules ===
#!/usr/bin/make -f

package = base-files
docdir = debian/tmp/usr/share/doc/$(package)

OSNAME = "GNU/`uname | sed -e 's/GNU\///'`"
ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
  OSNAME=GNU/Linux
endif
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
  OSNAME=GNU/Hurd
endif

VERSION = $(shell cat etc/debian_version)

build:
	$(checkdir)
	cd debian && sed -e "s&#VERSION#&$(VERSION)&" preinst.in > preinst
	touch build

clean:
	$(checkdir)
	rm -f build debian/preinst
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	cd debian/tmp && install -d usr/share/$(package)
	install -p -m 644 debian/changelog debian/FAQ \
		debian/README.FHS debian/README.base $(docdir)
	cat debian/copyright.in | sed -e "s&#OSNAME#&$(OSNAME)&g" \
		> $(docdir)/copyright
	install -m 755 debian/remove-base $(docdir)
	cd debian && install -m 755 preinst postinst tmp/DEBIAN
	cd debian && install -m 644 conffiles tmp/DEBIAN
	cd debian/tmp && install -d `cat ../directory-list`
	install -p -m 644 share/* debian/tmp/usr/share/base-files
	install -p -m 644 licenses/* debian/tmp/usr/share/common-licenses
	ln -s LGPL-2.1 debian/tmp/usr/share/common-licenses/LGPL
	ln -s GPL-2    debian/tmp/usr/share/common-licenses/GPL
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64)
	ln -s lib debian/tmp/lib64
	ln -s lib debian/tmp/usr/lib64
	mkdir -p debian/tmp/usr/X11R6/lib
	ln -s lib debian/tmp/usr/X11R6/lib64
endif
	install -p -m 644 etc/* debian/tmp/etc
	rm -f debian/tmp/etc/motd
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
	rmdir debian/tmp/proc
endif
	sed -e "s&#OSNAME#&$(OSNAME)&g" etc/motd \
		> debian/tmp/usr/share/base-files/motd
	sed -e "s&#OSNAME#&$(OSNAME)&g" share/info.dir \
		> debian/tmp/usr/share/base-files/info.dir
	sed -e "s&#OSNAME#&$(OSNAME)&g" etc/issue \
		> debian/tmp/etc/issue
	sed -e "s&#OSNAME#&$(OSNAME)&g" etc/issue.net \
		> debian/tmp/etc/issue.net
	gzip -9 $(docdir)/changelog
	chown -R root:root debian/tmp
	cd debian/tmp && chown root:src     usr/src
	cd debian/tmp && chown root:staff   var/local
	cd debian/tmp && chown root:staff   home
	cd debian/tmp && chmod 755  `find . -type d`
	cd debian/tmp && chmod 1777 `cat ../1777-dirs`
	cd debian/tmp && chmod 2775 `cat ../2775-dirs`
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary-indep: checkroot build
	$(checkdir)

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## base-files 3.1.0ubuntu3

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: awk, base-passwd (>= 2.0.3.4)
 Essential: yes
 Priority: required
-Replaces: base, miscutils, libreadline, libreadlineg2 (<< 2.1-16), bash (<< 2.03-3)
+Replaces: base, miscutils, bash (<< 2.03-3)
 Description: Debian base system miscellaneous files
  This package contains the basic filesystem hierarchy of a Debian system, and
  several important miscellaneous files, such as /etc/debian_version,

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,7 @@
 	chown -R root:root debian/tmp
 	cd debian/tmp && chown root:src     usr/src
 	cd debian/tmp && chown root:staff   var/local
-	cd debian/tmp && chown root:staff   home
+	cd debian/tmp && chown root:root    home
 	cd debian/tmp && chmod 755  `find . -type d`
 	cd debian/tmp && chmod 1777 `cat ../1777-dirs`
 	cd debian/tmp && chmod 2775 `cat ../2775-dirs`

## base-files 3.1.2

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: awk, base-passwd (>= 2.0.3.4)
 Essential: yes
 Priority: required
-Replaces: base, miscutils, bash (<< 2.03-3)
+Replaces: base, miscutils
 Description: Debian base system miscellaneous files
  This package contains the basic filesystem hierarchy of a Debian system, and
  several important miscellaneous files, such as /etc/debian_version,

=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,6 @@
 	install -p -m 644 licenses/* debian/tmp/usr/share/common-licenses
 	ln -s LGPL-2.1 debian/tmp/usr/share/common-licenses/LGPL
 	ln -s GPL-2    debian/tmp/usr/share/common-licenses/GPL
-ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64)
-	ln -s lib debian/tmp/lib64
-	ln -s lib debian/tmp/usr/lib64
-	mkdir -p debian/tmp/usr/X11R6/lib
-	ln -s lib debian/tmp/usr/X11R6/lib64
-endif
 	install -p -m 644 etc/* debian/tmp/etc
 	rm -f debian/tmp/etc/motd
 ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
@@ -64,7 +58,7 @@
 	chown -R root:root debian/tmp
 	cd debian/tmp && chown root:src     usr/src
 	cd debian/tmp && chown root:staff   var/local
-	cd debian/tmp && chown root:root    home
+	cd debian/tmp && chown root:staff   home
 	cd debian/tmp && chmod 755  `find . -type d`
 	cd debian/tmp && chmod 1777 `cat ../1777-dirs`
 	cd debian/tmp && chmod 2775 `cat ../2775-dirs`

## base-files 3.1.5ubuntu4

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,12 @@
 	install -p -m 644 licenses/* debian/tmp/usr/share/common-licenses
 	ln -s LGPL-2.1 debian/tmp/usr/share/common-licenses/LGPL
 	ln -s GPL-2    debian/tmp/usr/share/common-licenses/GPL
+ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64)
+	ln -s lib debian/tmp/lib64
+	ln -s lib debian/tmp/usr/lib64
+	mkdir -p debian/tmp/usr/X11R6/lib
+	ln -s lib debian/tmp/usr/X11R6/lib64
+endif
 	install -p -m 644 etc/* debian/tmp/etc
 	rm -f debian/tmp/etc/motd
 ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
@@ -58,7 +64,6 @@
 	chown -R root:root debian/tmp
 	cd debian/tmp && chown root:src     usr/src
 	cd debian/tmp && chown root:staff   var/local
-	cd debian/tmp && chown root:staff   home
 	cd debian/tmp && chmod 755  `find . -type d`
 	cd debian/tmp && chmod 1777 `cat ../1777-dirs`
 	cd debian/tmp && chmod 2775 `cat ../2775-dirs`

## base-files 3.1.9ubuntu7.2

=== debian/changelog ===
base-files (3.1.9ubuntu7.2) dapper-proposed; urgency=low

  * /etc/lsb-release, /etc/issue, /etc/issue.net: Bump version number to
    6.06.2 in preparation for the second Dapper point release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Oct 2007 16:27:09 -0400

base-files (3.1.9ubuntu7.1) dapper-updates; urgency=low

  * /etc/lsb-release, /etc/issue, /etc/issue.net: Bump version number to
    6.06.1 in preparation for the first Dapper point release.
    (DISTRIB_RELEASE must remain as 6.06; see earlier changelog entries.)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  3 Aug 2006 09:21:18 +0100

=== debian/control ===
Source: base-files
Section: admin
Priority: required
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.6.2

Package: base-files
Provides: base
Architecture: any
Depends: awk, base-passwd (>= 2.0.3.4), libpam-modules (>= 0.79-3ubuntu3)
Essential: yes
Priority: required
Replaces: base, miscutils, lsb-release (<< 3.0-8)
Description: Debian base system miscellaneous files
 This package contains the basic filesystem hierarchy of a Debian system, and
 several important miscellaneous files, such as /etc/debian_version,
 /etc/host.conf, /etc/issue, /etc/motd, /etc/profile, /etc/nsswitch.conf,
 and others, and the text of several common licenses in use on Debian systems.

Package: lsb-release-udeb
Section: debian-installer
Architecture: all
Priority: extra
Description: LSB release information

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 VERSION = $(shell cat etc/debian_version)
 
+DEBVERSION := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
+
 build:
 	$(checkdir)
 	cd debian && sed -e "s&#VERSION#&$(VERSION)&" preinst.in > preinst
@@ -22,7 +24,11 @@
 	$(checkdir)
 	rm -f build debian/preinst
 	rm -f `find . -name "*~"`
-	rm -rf debian/tmp debian/files* core debian/substvars
+	rm -rf debian/tmp debian/lsb-release-udeb debian/files* core debian/substvars
+
+	# update md5sums list for profile
+	LIST="`md5sum share/profile | cut -f 1 -d\  | cat share/profile.md5sums - | sort -u`"; \
+	echo "$$LIST" > share/profile.md5sums
 
 binary-arch: checkroot build
 	$(checkdir)
@@ -67,11 +73,23 @@
 	cd debian/tmp && chmod 755  `find . -type d`
 	cd debian/tmp && chmod 1777 `cat ../1777-dirs`
 	cd debian/tmp && chmod 2775 `cat ../2775-dirs`
-	dpkg-gencontrol -isp
+	dpkg-gencontrol -pbase-files -isp
 	dpkg --build debian/tmp ..
 
 binary-indep: checkroot build
 	$(checkdir)
+	rm -rf debian/lsb-release-udeb
+	install -d debian/lsb-release-udeb/DEBIAN debian/lsb-release-udeb/etc
+	install -p -m 644 etc/lsb-release debian/lsb-release-udeb/etc
+	chown -R root:root debian/lsb-release-udeb
+	cd debian/lsb-release-udeb && chmod 755 `find . -type d`
+	dpkg-gencontrol -plsb-release-udeb \
+		-Tdebian/lsb-release-udeb.substvars -Pdebian/lsb-release-udeb \
+		-isp -fdebian/files~
+	dpkg-distaddfile lsb-release-udeb_$(DEBVERSION)_all.udeb \
+		debian-installer extra
+	dpkg --build debian/lsb-release-udeb \
+		../lsb-release-udeb_$(DEBVERSION)_all.udeb
 
 define checkdir
 	test -f debian/rules

## base-files 3.1.13ubuntu2

=== debian/rules ===
--- 
+++ 
@@ -47,12 +47,6 @@
 	install -p -m 644 licenses/* debian/tmp/usr/share/common-licenses
 	ln -s LGPL-2.1 debian/tmp/usr/share/common-licenses/LGPL
 	ln -s GPL-2    debian/tmp/usr/share/common-licenses/GPL
-ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64)
-	ln -s lib debian/tmp/lib64
-	ln -s lib debian/tmp/usr/lib64
-	mkdir -p debian/tmp/usr/X11R6/lib
-	ln -s lib debian/tmp/usr/X11R6/lib64
-endif
 	install -p -m 644 etc/* debian/tmp/etc
 	rm -f debian/tmp/etc/motd
 ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
@@ -74,6 +68,10 @@
 	cd debian/tmp && chmod 1777 `cat ../1777-dirs`
 	cd debian/tmp && chmod 2775 `cat ../2775-dirs`
 	dpkg-gencontrol -pbase-files -isp
+ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64)
+	sed -i -e 's/^Depends:/Depends: libc6 \(>= 2.4-1ubuntu3\),/' \
+		debian/tmp/DEBIAN/control
+endif
 	dpkg --build debian/tmp ..
 
 binary-indep: checkroot build

## base-files 3.1.osso1

=== debian/changelog ===
base-files (3.1.osso1) unstable; urgency=low

  * nsswitch.conf update
  * issue motd etc sputnification

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu, 28 Oct 2004 15:26:37 +0300

## base-files 3.1.osso2

=== debian/changelog ===
base-files (3.1.osso2) unstable; urgency=low

  * PtMalloc options tuned for Maemo platform w34
  * Internet Tablet OS

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  5 Sep 2005 14:42:12 +0300

=== debian/control ===
Source: base-files
Section: base
Priority: required
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.6.1

Package: base-files
Provides: base
Architecture: any
Depends: awk
Essential: yes
Priority: required
Replaces: base, miscutils, libreadline, libreadlineg2 (<< 2.1-16), bash (<< 2.03-3)
Description: Debian base system miscellaneous files
 This package contains the basic filesystem hierarchy of a Debian system, and
 several important miscellaneous files, such as /etc/debian_version,
 /etc/host.conf, /etc/issue, /etc/motd, /etc/profile, /etc/nsswitch.conf,
 and others, and the text of several common licenses in use on Debian systems.

## base-files 3.1.osso2+3.1.10.osso4

=== debian/changelog ===
base-files (3.1.osso2+3.1.10.osso4) unstable; urgency=low

  * Fixed profile for ptmalloc.conf reading
  * Added PATH to dot.profile from old package

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 21 Jul 2006 14:07:34 +0300

base-files (3.1.osso2+3.1.10.osso3) unstable; urgency=low

  * Reduced MALLOC_MMAP_THRESHOLD_ to 16K. Fixes: NB#34301

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 12 Jul 2006 18:45:50 +0300

base-files (3.1.osso2+3.1.10.osso2) unstable; urgency=low

  * Fixed version

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 29 Jun 2006 10:53:44 +0300

base-files (3.1.10.osso2) unstable; urgency=low

  * Removed group-writeable from some files. Fixes: NB#33539
  * Removed some unneeded docs.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 29 Jun 2006 10:38:53 +0300

base-files (3.1.10.osso1) unstable; urgency=low

  * Merged osso patches

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 29 Jun 2006 10:38:21 +0300

=== debian/control ===
Source: base-files
Section: admin
Priority: required
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.6.2

Package: base-files
Provides: base
Architecture: any
Depends: awk
Essential: yes
Priority: required
Replaces: base, miscutils
Description: Debian base system miscellaneous files
 This package contains the basic filesystem hierarchy of a Debian system, and
 several important miscellaneous files, such as /etc/debian_version,
 /etc/host.conf, /etc/issue, /etc/motd, /etc/profile, /etc/nsswitch.conf,
 and others, and the text of several common licenses in use on Debian systems.

=== debian/rules ===
#!/usr/bin/make -f

package = base-files
docdir = debian/tmp/usr/share/doc/$(package)

OSNAME = "GNU/`uname | sed -e 's/GNU\///'`"
ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
  OSNAME=GNU/Linux
endif
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
  OSNAME=GNU/Hurd
endif

VERSION = $(shell cat etc/debian_version)

build:
	$(checkdir)
	cd debian && sed -e "s&#VERSION#&$(VERSION)&" preinst.in > preinst
	touch build

clean:
	$(checkdir)
	rm -f build debian/preinst
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	cd debian/tmp && install -d usr/share/$(package)
#	install -p -m 644 debian/changelog debian/FAQ \
#		debian/README.FHS debian/README.base $(docdir)
	cat debian/copyright.in | sed -e "s&#OSNAME#&$(OSNAME)&g" \
		> $(docdir)/copyright
	chmod 644 $(docdir)/copyright
	install -m 755 debian/remove-base $(docdir)
	cd debian && install -m 755 preinst postinst tmp/DEBIAN
	cd debian && install -m 644 conffiles tmp/DEBIAN
	cd debian/tmp && install -d `cat ../directory-list`
	install -p -m 644 share/* debian/tmp/usr/share/base-files
	install -p -m 644 licenses/* debian/tmp/usr/share/common-licenses
	ln -s LGPL-2.1 debian/tmp/usr/share/common-licenses/LGPL
	ln -s GPL-2    debian/tmp/usr/share/common-licenses/GPL
	install -p -m 644 etc/* debian/tmp/etc
	rm -f debian/tmp/etc/motd
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
	rmdir debian/tmp/proc
endif
	sed -e "s&#OSNAME#&$(OSNAME)&g" etc/motd \
		> debian/tmp/usr/share/base-files/motd
	sed -e "s&#OSNAME#&$(OSNAME)&g" share/info.dir \
		> debian/tmp/usr/share/base-files/info.dir
	sed -e "s&#OSNAME#&$(OSNAME)&g" etc/issue \
		> debian/tmp/etc/issue
	sed -e "s&#OSNAME#&$(OSNAME)&g" etc/issue.net \
		> debian/tmp/etc/issue.net
	chmod 644 debian/tmp/{usr/share/base-files/{motd,info.dir},etc/{issue,issue.net}}
#	gzip -9 $(docdir)/changelog
	chown -R root:root debian/tmp
	cd debian/tmp && chown root:src     usr/src
	cd debian/tmp && chown root:staff   var/local
	cd debian/tmp && chmod 755  `find . -type d`
	cd debian/tmp && chmod 1777 `cat ../1777-dirs`
	cd debian/tmp && chmod 2775 `cat ../2775-dirs`
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary-indep: checkroot build
	$(checkdir)

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## base-files 3.1.osso2+3.1.10.osso6

=== debian/changelog ===
base-files (3.1.osso2+3.1.10.osso6) unstable; urgency=low

  * Fixed OS version. Fixes: NB#46652

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  7 Nov 2006 14:50:03 +0200

base-files (3.1.osso2+3.1.10.osso5) unstable; urgency=low

  * Added fstab, network, resolv.conf from osso-core-config

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  3 Aug 2006 17:36:52 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Package: base-files
 Provides: base
 Architecture: any
-Depends: awk
+Conflicts: osso-core-config (<< 1:0.3.5)
 Essential: yes
 Priority: required
 Replaces: base, miscutils

## base-files 3.1.osso2+3.1.10.osso7

=== debian/changelog ===
base-files (3.1.osso2+3.1.10.osso7) unstable; urgency=low

  * Dependency to base-passwd added. Thanks to Ed Bartosh.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 30 Jan 2007 13:37:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 Package: base-files
 Provides: base
+Depends: base-passwd
 Architecture: any
 Conflicts: osso-core-config (<< 1:0.3.5)
 Essential: yes

## base-files 3.1.osso2+3.1.10.osso10

=== debian/changelog ===
base-files (3.1.osso2+3.1.10.osso10) unstable; urgency=low

  * Fixed changelog.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 12 Oct 2007 16:16:06 +0300

base-files (3.1.osso2+3.1.10.osso9) unstable; urgency=low

  * export MALLOC_CHECK_=0. Fixes: NB#70555

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 12 Oct 2007 16:10:35 +0300

base-files (3.1.osso2+3.1.10.osso8) unstable; urgency=low

  * Ajust ptmalloc values. Fixes: NB#70555

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 08 Oct 2007 13:21:40 +0300

## base-files 3.1.osso2+3.1.10.osso16

=== debian/changelog ===
base-files (3.1.osso2+3.1.10.osso16) unstable; urgency=low

  * export MALLOC_CHECK=0. Fixes: NB#74102

 -- Grigori Timonen <grigori.timonen@nokia.com>  Mon,  5 May 2008 10:23:50 +0300

base-files (3.1.osso2+3.1.10.osso15) unstable; urgency=low

  * Binary packages are not essential anymore

 -- Grigori Timonen <Grigori.Timonen@nokia.com>  Wed, 05 Mar 2008 16:02:02 +0200

base-files (3.1.osso2+3.1.10.osso14) unstable; urgency=low

  * /etc/inputrc added to conffiles (because of lintian warnings)
  * Added version to dependency on base-passwd (because of lintian warnings)

 -- Grigori Timonen <Grigori.Timonen@nokia.com>  Tue, 04 Mar 2008 15:30:54 +0200

base-files (3.1.osso2+3.1.10.osso13) unstable; urgency=low

  * Unexport MALLOC_CHECK_=0 back. Fixes: NB#80450

 -- Grigori Timonen <Grigori.Timonen@nokia.com>  Fri, 29 Feb 2008 09:46:33 +0200

base-files (3.1.osso2+3.1.10.osso12) unstable; urgency=low

  * export MALLOC_CHECK_=0. Fixes: NB#76176

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 21 Nov 2007 15:50:23 +0200

base-files (3.1.osso2+3.1.10.osso11) unstable; urgency=low

  * Unexport MALLOC_CHECK_=0 back. Fixes: NB#74759

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 06 Nov 2007 12:48:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 
 Package: base-files
 Provides: base
-Depends: base-passwd
+Depends: base-passwd (>= 3.5.11osso3)
 Architecture: any
 Conflicts: osso-core-config (<< 1:0.3.5)
-Essential: yes
 Priority: required
 Replaces: base, miscutils
 Description: Debian base system miscellaneous files

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,13 @@
 	ln -s LGPL-2.1 debian/tmp/usr/share/common-licenses/LGPL
 	ln -s GPL-2    debian/tmp/usr/share/common-licenses/GPL
 	install -p -m 644 etc/* debian/tmp/etc
+
+	install -m 644 debian/osso/fstab debian/tmp/etc
+	install -m 644 debian/osso/resolv.conf debian/tmp/etc
+	install -d -m 755 debian/tmp/etc/network
+	install -m 644 debian/osso/network/interfaces debian/tmp/etc/network
+	install -m 644 debian/osso/network/options debian/tmp/etc/network
+
 	rm -f debian/tmp/etc/motd
 ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
 	rmdir debian/tmp/proc
